public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/openresolv/
Date: Mon,  8 Jun 2020 16:47:14 +0000 (UTC)	[thread overview]
Message-ID: <1591634811.08c64b2ff6b784964d2d34664705ceece0fb0738.juippis@gentoo> (raw)

commit:     08c64b2ff6b784964d2d34664705ceece0fb0738
Author:     Andrea Cerisara <andreacerisara <AT> gmail <DOT> com>
AuthorDate: Fri May 15 23:06:35 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Jun  8 16:46:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08c64b2f

net-dns/openresolv: 3.10.0 version bump

- add license and readme to doc

Signed-off-by: Andrea Cerisara <andreacerisara <AT> gmail.com>
Closes: https://bugs.gentoo.org/709754
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Closes: https://github.com/gentoo/gentoo/pull/15814
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-dns/openresolv/Manifest                 |  1 +
 net-dns/openresolv/metadata.xml             |  9 +++++-
 net-dns/openresolv/openresolv-3.10.0.ebuild | 44 +++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+), 1 deletion(-)

diff --git a/net-dns/openresolv/Manifest b/net-dns/openresolv/Manifest
index e809ddc6ef0..bb865fe16c2 100644
--- a/net-dns/openresolv/Manifest
+++ b/net-dns/openresolv/Manifest
@@ -1,2 +1,3 @@
+DIST openresolv-3.10.0.tar.xz 20296 BLAKE2B 2e4fc22aebeb345fcdcc5395603a183a978e2ea24a4b419d76ab41e5179b640e3a317d5f1ef36bc6901d933b20daaca615489c785a41d76a89abc938c20e2723 SHA512 f28fc43887f18f6cbdcdabbb48777fc704ed653e77f34caf349b5c4e5f5f6e7686242ea9f2617f2f65d40d14c794ce28cffee0ec5e5c7b8a19566f3bd72e9ec5
 DIST openresolv-3.9.0.tar.xz 18844 BLAKE2B 0aa2125d79305aab04a8d052d56328493d51aa6ff5b44fdfe08e96ccc78ae1d84f2115e5d59940e7e1cedf7e4fe7dc36a461839bcef8fc2c5b2e21242e441f36 SHA512 4498db60f0b5a762194dd3651b94cc8b01a349a8cfb891e10d040cd6b8e22fa0e9897909517831591787ad22ffad97c78d3281e32296aa1ee67de5dff9bf765e
 DIST openresolv-3.9.2.tar.xz 20200 BLAKE2B 25cb56fd85114c3866207a3bf83d1295eb135f1746f141d8cb8f0fb18cdd96e184ad3fbb47d1f65ce4193b57da61e918ca4306a502eaba650ca438589be9a29b SHA512 2f88ccbb53c6e830eeb7dd53666ee72b9fa30f38324766e1d1734896bc9b7f531e42e234c882b921c79604a3bde2877db2681bab9dd8c590f02779da908d0649

diff --git a/net-dns/openresolv/metadata.xml b/net-dns/openresolv/metadata.xml
index e5a933ad81f..e374d38e7ff 100644
--- a/net-dns/openresolv/metadata.xml
+++ b/net-dns/openresolv/metadata.xml
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<!-- maintainer-needed -->
+	<maintainer type="person">
+		<email>andreacerisara@gmail.com</email>
+		<name>Andrea Cerisara</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
 	<longdescription lang="en">
 		A framework for managing DNS information
 	</longdescription>

diff --git a/net-dns/openresolv/openresolv-3.10.0.ebuild b/net-dns/openresolv/openresolv-3.10.0.ebuild
new file mode 100644
index 00000000000..db449259ea2
--- /dev/null
+++ b/net-dns/openresolv/openresolv-3.10.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A framework for managing DNS information"
+HOMEPAGE="https://roy.marples.name/projects/openresolv"
+SRC_URI="https://roy.marples.name/downloads/${PN}/${P}.tar.xz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="selinux"
+
+DEPEND="!net-dns/resolvconf-gentoo
+	!<net-dns/dnsmasq-2.40-r1"
+RDEPEND="selinux? ( sec-policy/selinux-resolvconf )"
+
+src_configure() {
+	local myeconfargs=(
+		--prefix="${EPREFIX}"
+		--rundir="${EPREFIX}"/var/run
+		--libexecdir="${EPREFIX}"/lib/resolvconf
+	)
+	econf "${myeconfargs[@]}"
+}
+
+pkg_config() {
+	if [[ ${ROOT} != / ]]; then
+		eerror "We cannot configure unless \$ROOT=/"
+		return 1
+	fi
+
+	if [[ -n "$(resolvconf -l)" ]]; then
+		einfo "${PN} already has DNS information"
+	else
+		ebegin "Copying /etc/resolv.conf to resolvconf -a dummy"
+		resolvconf -a dummy </etc/resolv.conf
+		eend $? || return $?
+		einfo "The dummy interface will disappear when you next reboot"
+	fi
+}
+
+DOCS=( LICENSE README.md )


             reply	other threads:[~2020-06-08 16:47 UTC|newest]

Thread overview: 50+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-08 16:47 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-16 22:21 [gentoo-commits] repo/gentoo:master commit in: net-dns/openresolv/ Ben Kohler
2023-07-14 13:00 Ben Kohler
2023-06-29 19:57 Ben Kohler
2023-06-07 12:48 Ben Kohler
2023-04-23 11:59 Ben Kohler
2023-04-23 11:59 Ben Kohler
2023-04-23 11:59 Ben Kohler
2023-04-15 12:54 Ben Kohler
2022-05-17 12:48 WANG Xuerui
2022-04-23  2:09 Sam James
2022-04-22 17:43 Sam James
2021-08-20  9:35 Yixun Lan
2021-07-20 10:41 Ben Kohler
2021-05-18 14:15 Ben Kohler
2021-03-29 13:49 Ben Kohler
2021-03-24 16:52 Ben Kohler
2021-03-21  8:24 Joonas Niilola
2020-12-29 20:33 Sam James
2020-10-11  9:30 Joonas Niilola
2020-09-14  1:48 Sam James
2020-08-17 10:21 Sam James
2020-08-17 10:19 Sam James
2020-06-22 13:13 Joonas Niilola
2020-06-19 15:41 Sergei Trofimovich
2020-06-08 16:47 Joonas Niilola
2020-06-08 16:47 Joonas Niilola
2020-06-08 16:47 Joonas Niilola
2019-12-02 10:13 Lars Wendler
2019-05-23  6:39 Aaron Bauman
2018-09-28  0:18 Alon Bar-Lev
2018-04-08  5:02 Alon Bar-Lev
2018-04-07 22:11 Matt Turner
2018-03-26 18:35 Aaron Bauman
2017-12-05  5:44 Markus Meier
2017-10-22 21:42 Tobias Klausmann
2017-10-13  0:13 Sergei Trofimovich
2017-10-12 18:48 Sergei Trofimovich
2017-10-12 18:48 Sergei Trofimovich
2017-10-09 22:48 Thomas Deutschmann
2017-10-07 13:33 Michael Palimaka
2017-06-26  8:37 Alexis Ballier
2017-04-22 16:12 Alon Bar-Lev
2017-04-22 15:21 Alon Bar-Lev
2017-04-22 13:32 Jeroen Roovers
2017-03-16  9:45 Michael Weber
2017-03-06 15:50 Tobias Klausmann
2015-10-29 20:55 Alon Bar-Lev
2015-08-26 10:30 Agostino Sarubbo
2015-08-22  5:08 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591634811.08c64b2ff6b784964d2d34664705ceece0fb0738.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox